### Method

# Gio DBusMessage to_gerror

since: 2.26

#### Declaration [src]

    gboolean
    g_dbus_message_to_gerror (
      GDBusMessage* message
      GError** error
    )

#### Description [src]

If `message` is not of type `G_DBUS_MESSAGE_TYPE_ERROR` does nothing and returns `FALSE`.

Otherwise this method encodes the error in `message` as a `GError` using `g_dbus_error_set_dbus_error()` using the information in the `G_DBUS_MESSAGE_HEADER_FIELD_ERROR_NAME` header field of `message` as well as the first string item in `message`‘s body.

Available since: 2.26

#### Return value

Type: `gboolean`

`TRUE` if `error` was set, `FALSE` otherwise.